libzypp 17.37.10

TmpPath.cc File Reference
`#include <cstdlib>`
`#include <cstring>`
`#include <cerrno>`
`#include <iostream>`
`#include <utility>`
`#include <zypp-core/base/ReferenceCounted.h>`
`#include <zypp-core/base/NonCopyable.h>`
`#include <zypp-core/base/Logger.h>`
`#include <zypp-core/fs/PathInfo.h>`
`#include <zypp-core/fs/TmpPath.h>`

Go to the source code of this file.

## Classes
class | zypp::filesystem::TmpPath::Impl
| Clean or delete a directory on destruction. More...

## Namespaces
namespace | zypp
| Easy-to use interface to the ZYPP dependency resolver.
namespace | zypp::filesystem
| Types and functions for filesystem operations.

## Functions
Pathname | zypp::myTmpDir () ZYPP_API
| Global access to the zypp.TMPDIR (created on demand, deleted when libzypp is unloaded)